package com.ankaibei.workFlow.webadmin.ankaibei.api;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.ManHourInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.service.ManHourService;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ManHourInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author lwq
 * @version 1.0
 * @description:
 * @date 2022/9/21 15:31
 */
@Service
public class ManHourServiceApi implements ManHourInfoApi {

    @Resource
    private ManHourService manHourService;

    @Override
    public ResMsg findManHourAll(ManHourInfoVo manHourInfoVo) {
        ManHourInfoEntity manHourInfoEntity = this.copyProperties(manHourInfoVo, ManHourInfoEntity.class);
        return manHourService.findManHourAll(manHourInfoVo.getPageIndex(), manHourInfoVo.getPageSize(), manHourInfoEntity);
    }

    @Override
    public ResMsg addManHour(ManHourInfoVo manHourInfoVo) {
        return manHourService.addManHour(manHourInfoVo);
    }

    @Override
    public ResMsg submitManHourBySave(ManHourInfoVo manHourInfoVo) {
        return manHourService.submitManHourBySave(manHourInfoVo);
    }

    @Override
    public ResMsg submitManHourBatch(List<ManHourInfoVo> manHourInfoVos) {
        return manHourService.submitManHourBatch(manHourInfoVos);
    }

    @Override
    public ResMsg deleteManHour(List<ManHourInfoVo> manHourInfoVos) {
        return manHourService.deleteManHour(manHourInfoVos);
    }

    @Override
    public ResMsg findManHourByID(ManHourInfoVo manHourInfoVo) {
        return manHourService.findManHourByID(Integer.valueOf(manHourInfoVo.getManId()));
    }

    @Override
    public ResMsg editManHour(ManHourInfoVo manHourInfoVo) {
        return manHourService.editManHour(manHourInfoVo);
    }

    @Override
    public ResMsg submitManHourByeEdit(ManHourInfoVo manHourInfoVo) {
        return manHourService.submitManHourByeEdit(manHourInfoVo);
    }


}
