package com.ankaibei.workFlow.webadmin.ankaibei.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:工时管理表
 * @date 2022/9/21 14:28
 */
@Entity
@Table(name = "man_hour_info", schema = "ankaibei", catalog = "")
public class ManHourInfoEntity {
    /**
     * 工时id
     */
    private Integer manId;
    /**
     * 项目成员
     */
    private String projectUser;

    /**
     * 项目名称
     */
    private String projectId;

    /**
     * 任务名称
     */
    private String taskId;

    /**
     * 开始日期
     */
    private Date startDate;
    /**
     * 结束日期
     */
    private Date endDate;
    /**
     * 工时日期
     */
    private Date manufactureDate;

    /**
     * 总工时(小时)
     */
    private BigDecimal manHour;

    /**
     * 工作内容
     */
    private String jobContent;

    /**
     * 工时状态
     */
    private String manStatus;

    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 审批人
     */
    private String ratifyUser;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;
    /**
     * 申请时间
     */
    private Date createTime;

    /**
     * 是否已删除： 1=正常，-1=已删除
     */
    private String isDelete;

    @Basic
    @Column(name = "task_id")
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    @Basic
    @Column(name = "manufacture_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getManufactureDate() {
        return manufactureDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setManufactureDate(Date manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    @Basic
    @Column(name = "is_delete")
    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    @Basic
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Basic
    @Column(name = "process_definition_id")
    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    @Basic
    @Column(name = "process_instance_id")
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    @Basic
    @Column(name = "flow_task_status")
    public Integer getFlowTaskStatus() {
        return flowTaskStatus;
    }

    public void setFlowTaskStatus(Integer flowTaskStatus) {
        this.flowTaskStatus = flowTaskStatus;
    }

    @Id
    @Column(name = "man_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    public Integer getManId() {
        return manId;
    }

    public void setManId(Integer manId) {
        this.manId = manId;
    }

    @Basic
    @Column(name = "man_status")
    public String getManStatus() {
        return manStatus;
    }

    public void setManStatus(String manStatus) {
        this.manStatus = manStatus;
    }

    @Basic
    @Column(name = "project_user")
    public String getProjectUser() {
        return projectUser;
    }

    public void setProjectUser(String projectUser) {
        this.projectUser = projectUser;
    }

    @Basic
    @Column(name = "project_id")

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @Basic
    @Column(name = "man_hour")
    public BigDecimal getManHour() {
        return manHour;
    }

    public void setManHour(BigDecimal manHour) {
        this.manHour = manHour;
    }

    @Basic
    @Column(name = "start_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getStartDate() {
        return startDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }


    @Basic
    @Column(name = "create_user")
    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Basic
    @Column(name = "end_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getEndDate() {
        return endDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Basic
    @Column(name = "ratify_user")
    public String getRatifyUser() {
        return ratifyUser;
    }

    public void setRatifyUser(String ratifyUser) {
        this.ratifyUser = ratifyUser;
    }

    @Basic
    @Column(name = "job_content")
    public String getJobContent() {
        return jobContent;
    }

    public void setJobContent(String jobContent) {
        this.jobContent = jobContent;
    }

    @Override
    public String toString() {
        return "ManHourInfoEntity{" +
                "manId=" + manId +
                ", projectUser='" + projectUser + '\'' +
                ", projectId='" + projectId + '\'' +
                ", taskId='" + taskId + '\'' +
                ", startDate=" + startDate +
                ", endDate=" + endDate +
                ", manufactureDate='" + manufactureDate + '\'' +
                ", manHour=" + manHour +
                ", jobContent='" + jobContent + '\'' +
                ", manStatus='" + manStatus + '\'' +
                ", createUser='" + createUser + '\'' +
                ", ratifyUser='" + ratifyUser + '\'' +
                ", processInstanceId='" + processInstanceId + '\'' +
                ", flowTaskStatus=" + flowTaskStatus +
                ", processDefinitionId='" + processDefinitionId + '\'' +
                ", createTime=" + createTime +
                ", isDelete='" + isDelete + '\'' +
                '}';
    }
}
