package com.ankaibei.workFlow.webadmin.ankaibei.enums;

/**
 * @ClassName: AgentCodeEnum
 * @author:
 * @date: 2019/10/01
 * @Copyright: 2019
 */
public enum DataIsDeleteEnum {
    /**
     * 是否已删除： 1=正常，-1=已删除
     */
    NORMAL("1", "正常"),
    IS_DELETE("-1", "已删除");


    private final String code;
    private final String reason;

    DataIsDeleteEnum(final String statusCode, final String reasonPhrase) {
        this.code = statusCode;
        this.reason = reasonPhrase;
    }

    /**
     * Convert a numerical status code into the corresponding Status
     *
     * @param statusCode the numerical status code
     * @return the matching Status or null is no matching Status is defined
     */
    public static DataIsDeleteEnum fromCode(final String statusCode) {
        for (DataIsDeleteEnum s : DataIsDeleteEnum.values()) {
            if (s.code.equals(statusCode)) {
                return s;
            }
        }
        return null;
    }

    /**
     * Get the associated status code
     *
     * @return the status code
     */
    public String getCode() {
        return code;
    }

    /**
     * Get the reason phrase
     *
     * @return the reason phrase
     */
    @Override
    public String toString() {
        return reason;
    }
}
