package com.ankaibei.workFlow.webadmin.ankaibei.enums;

/**
 * 工时状态枚举类
 *
 * @author buzhanyi
 */

public enum ManHourStatus {

    //0 未提交，1 审核中，2 已完成，3 已拒绝；
    NO_ALLOCATION("0", "未提交"),
    EXTENSION_ING("1", "审核中"),
    REFUSE_ED("2", "已拒绝"),
    FINISH_ED("3", "已通过");

    /**
     * 状态码
     */
    private final String code;
    /**
     * 信息
     */
    private final String reason;

    /**
     * 666666
     */
    ManHourStatus(String code, String reason) {
        this.code = code;
        this.reason = reason;
    }

    public String getCode() {
        return code;
    }

    public String getReason() {
        return reason;
    }

    /**
     * 通过枚举的code,查询对应的枚举项
     *
     * @param code
     * @return
     */
    public static ManHourStatus getEnumByCode(String code) {
        ManHourStatus[] values = ManHourStatus.values();
        for (ManHourStatus statusEnums : values) {
            if (statusEnums.getCode().equals(code)) {
                return statusEnums;
            }
        }
        return null;
    }
}
