package com.ankaibei.workFlow.webadmin.ankaibei.enums;

/**
 * 项目任务状态枚举类
 *
 * @author buzhanyi
 */

public enum ProTaskStatus {

    // "0", "未分配"; "1", "审核中"; "2", "已分配"; "3", "已完成"; "4", "已拒绝";
    NO_ALLOCATION("0", "未分配"),
    EXTENSION_ING("1", "审核中"),
    ALLOCATION_ED("2", "已分配"),
    FINISH_ED("3", "已完成"),
    REFUSE_ED("4", "已拒绝");

    /**
     * 状态码
     */
    private final String code;
    /**
     * 信息
     */
    private final String reason;

    /**
     * 666666
     */
    ProTaskStatus(String code, String reason) {
        this.code = code;
        this.reason = reason;
    }

    public String getCode() {
        return code;
    }

    public String getReason() {
        return reason;
    }

    /**
     * 通过枚举的code,查询对应的枚举项
     *
     * @param code
     * @return
     */
    public static ProTaskStatus getEnumByCode(String code) {
        ProTaskStatus[] values = ProTaskStatus.values();
        for (ProTaskStatus statusEnums : values) {
            if (statusEnums.getCode().equals(code)) {
                return statusEnums;
            }
        }
        return null;
    }
}
