package com.ankaibei.workFlow.webadmin.ankaibei.enums;

/**
 * 项目任务状态枚举类
 *
 * @author buzhanyi
 */

public enum ProjectType {

    TYPE_ONE("1", "分类1"),
    TYPE_TWO("2", "分类2"),
    TYPE_THREE("3", "分类3"),
    TYPE_FOUR("4", "分类4");

    /**
     * 码
     */
    private final String code;
    /**
     * 分类值
     */
    private final String reason;

    /**
     * 666666
     */
    ProjectType(String code, String reason) {
        this.code = code;
        this.reason = reason;
    }

    public String getCode() {
        return code;
    }

    public String getReason() {
        return reason;
    }

    /**
     * 通过枚举的code,查询对应的枚举项
     *
     * @param code
     * @return
     */
    public static ProjectType getEnumByCode(String code) {
        ProjectType[] values = ProjectType.values();
        for (ProjectType statusEnums : values) {
            if (statusEnums.getCode().equals(code)) {
                return statusEnums;
            }
        }
        return null;
    }
}
