package com.ankaibei.workFlow.webadmin.ankaibei.enums;

/**
 * @author buzhanyi
 */

public enum TaskStatus {
    //1 未分配 2审核中 3已分配 4已完成 5已拒绝
    NO_ALLOCATION("1", "未分配"),
    AUDITING("2", "审核中"),
    ALLOCATION_ED("3", "已分配"),
    FINISH_ED("4", "已完成"),
    REFUSE_ED("5", "已拒绝");

    /**
     * 状态码
     */
    private final String code;
    /**
     * 信息
     */
    private final String reason;

    /**
     * 666666
     */
    TaskStatus(String code, String reason) {
        this.code = code;
        this.reason = reason;
    }

    public String getCode() {
        return code;
    }

    public String getReason() {
        return reason;
    }

    /**
     * 通过枚举的code,查询对应的枚举项
     *
     * @param code
     * @return
     */
    public static TaskStatus getEnumByCode(String code) {
        TaskStatus[] values = TaskStatus.values();
        for (TaskStatus statusEnums : values) {
            if (statusEnums.getCode().equals(code)) {
                return statusEnums;
            }
        }
        return null;
    }
}
