package com.ankaibei.workFlow.webadmin.ankaibei.mapper;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.ManHourInfoEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.Date;
import java.util.Map;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/21 15:34
 */
public interface ManHourMapper extends JpaRepository<ManHourInfoEntity, Integer>, JpaSpecificationExecutor<ManHourInfoEntity> {


    @Query(value = "SELECT man.man_id manId,man.project_user projrctUser,man.project_id projectId," +
            "man.task_id taskId,man.manufacture_date manufactureDate, man.man_hour manHour,man.job_content jobContent,man.man_status manStatus," +
            "man.start_date startDate,man.end_date endDate,man.create_time createTime,man.flow_task_status flowTaskStatus, " +
            "man.process_instance_id processInstanceId ,man.process_definition_id processDefinitionId " +
            "from man_hour_info man WHERE " +
            "if( ?1 !=null, (man.create_user = ?1 or man.ratify_user like %?1% ) , 1=1) and " +
            "if( ?2 !='' , man.flow_task_status = ?2 , 1=1) and " +
            "if( ?3 !=null, man.start_date >=?3 , 1=1) and " +
            "if( ?4 !=null, man.end_date <=?4 , 1=1)  order by man.create_time desc"
            , countQuery = "SELECT count(1) from man_hour_info man WHERE  1=1 and " +
            "if( ?1 !=null, (man.create_user = ?1 or man.ratify_user like %?1% ) , 1=1) and " +
            "if( ?2 !='', man.flow_task_status = ?2 , 1=1) and " +
            "if( ?3 !=null, man.start_date >=?3 , 1=1) and " +
            "if( ?4 !=null, man.end_date <=?4 , 1=1)   "
            , nativeQuery = true)
    Page<Map<String, String>> findManHourAll(String userId, Integer flowTaskStatus, Date createDate, String endDate, Pageable page);

    @Transactional
    @Modifying
    @Query(value = "update man_hour_info SET man_status= ?1 ,flow_task_status = ?2 ,ratify_user=?3 WHERE man_id = ?4", nativeQuery = true)
    void updateManHourFlowStatus(String manStatus, String flowTaskStatus, String ratifyUser, Integer manId);

}
