package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.vo.CommunicationInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.PurchaseInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.RepastExpenseVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.RestsInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TrafficExpenseVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TravelExpenseVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/26 16:17
 */
public interface ApplyForCostService {
    /**
     * 通讯费用保存
     *
     * @param communicationInfoVo
     * @return
     */
    ResMsg addCommunication(CommunicationInfoVo communicationInfoVo);

    /**
     * 通讯费用保存后提交
     *
     * @param communicationInfoVo
     * @return
     */
    ResMsg communicationSubmitBySave(CommunicationInfoVo communicationInfoVo);

    /**
     * 通讯费用批量提交
     *
     * @return
     */
    ResMsg communicationSubmitBatch(List<CommunicationInfoVo> communicationInfoVos);

    /**
     * 通讯费用修改——保存
     *
     * @param communicationInfoVo
     * @return
     */
    ResMsg communicationUpdate(CommunicationInfoVo communicationInfoVo);

    /**
     * 通讯费用修改——提交
     *
     * @param communicationInfoVo
     * @return
     */
    ResMsg communicationSubmitByUpdate(CommunicationInfoVo communicationInfoVo);

    /**
     * 申请采购费__保存
     *
     * @param purchaseInfoVo
     * @return ResMsg
     */
    ResMsg addPurchase(PurchaseInfoVo purchaseInfoVo);

    /**
     * 申请采购费__保存后提交
     *
     * @param purchaseInfoVo
     * @return ResMsg
     */
    ResMsg purchaseSubmitBySave(PurchaseInfoVo purchaseInfoVo);

    /**
     * 申请采购费__批量提交
     *
     * @return ResMsg
     */
    ResMsg purchaseSubmitBatch(List<PurchaseInfoVo> purchaseInfoVos);

    /**
     * 采购费_修改并保存
     */
    ResMsg purchaseUpdate(PurchaseInfoVo purchaseInfoVo);

    /**
     * 采购费_修改并提交
     */
    ResMsg purchaseSubmitByUpdate(PurchaseInfoVo purchaseInfoVo);

    /**
     * 申请其他费用--保存
     */
    ResMsg addRest(RestsInfoVo restsInfoVo);

    /**
     * 申请其他费用--保存并提交
     */
    ResMsg restSubmitBySave(RestsInfoVo restsInfoVo);

    /**
     * 申请其他费用__批量提交
     */
    ResMsg restSubmitBatch(List<RestsInfoVo> restsInfoVos);

    /**
     * 其他费用--修改并保存
     */
    ResMsg restUpdate(RestsInfoVo restsInfoVo);

    /**
     * 其他费用--修改并提交
     */
    ResMsg restSubmitByUpdate(RestsInfoVo restsInfoVo);

    /**
     * 申请交通费用--保存
     */
    ResMsg addTraffic(TrafficExpenseVo trafficExpenseVo);

    /**
     * 申请交通费用--保存并提交
     */
    ResMsg trafficSubmitBySave(TrafficExpenseVo trafficExpenseVo);

    /**
     * 申请交通费用--批量提交
     */
    ResMsg trafficSubmitBatch(List<TrafficExpenseVo> trafficExpenseVos);

    /**
     * 申请交通费用--修改并保存
     */
    ResMsg trafficUpdate(TrafficExpenseVo trafficExpenseVo);

    /**
     * 申请交通费用--修改并提交
     */
    ResMsg trafficSubmitByUpdate(TrafficExpenseVo trafficExpenseVo);

    /**
     * 申请餐费--保存
     */
    ResMsg repastExpenseApply(RepastExpenseVo repastExpenseVo);

    /**
     * 申请餐费--保存并提交
     */
    ResMsg repastSubmitBySave(RepastExpenseVo repastExpenseVo);

    /**
     * 申请餐费--批量提交
     */
    ResMsg repastSubmitBatch(List<RepastExpenseVo> repastExpenseVos);

    /**
     * 申请餐费--修改并保存
     */
    ResMsg repastUpdate(RepastExpenseVo repastExpenseVo);

    /**
     * 申请餐费--修改并提交
     */
    ResMsg repastSubmitByUpdate(RepastExpenseVo repastExpenseVo);

    /**
     * 申请差旅费用--保存
     */
    ResMsg travelExpenseApply(TravelExpenseVo travelExpenseVo);

    /**
     * 申请出差费用--保存并提交
     */
    ResMsg travelSubmitBySave(TravelExpenseVo travelExpenseVo);

    /**
     * 申请出差费用--批量提交
     */
    ResMsg travelSubmitBatch(List<TravelExpenseVo> travelExpenseVos);

    /**
     * 申请差旅费用--保存
     */
    ResMsg travelUpdate(TravelExpenseVo travelExpenseVo);

    /**
     * 申请差旅费用--修改并提交
     */
    ResMsg travelSubmitByUpdate(TravelExpenseVo travelExpenseVo);

}
