package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.entity.TaskInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TaskInfoVo;

import java.util.ArrayList;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 17:18
 */
public interface TaskInfoService {
    /**
     * 分页查询
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg findTaskInfo(Integer pageIndex, Integer pageSize, TaskInfoEntity taskInfoEntity);

    /**
     * 查询指定任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg findTaskById(TaskInfoVo taskInfoVo);

    /**
     * 添加任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg addTaskInfo(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    /**
     * 保存后提交任务
     */
    ResMsg submitTaskBySave(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    /**
     * 批量提交任务
     *
     * @param list
     * @return
     */
    ResMsg submitTaskBatch(ArrayList<TaskInfoEntity> list);

    /**
     * 编辑任务--保存
     */
    ResMsg editTask(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    /**
     * 编辑任务--提交
     *
     * @param taskInfoEntity
     * @param taskParticipant
     * @return
     */
    ResMsg submitTaskByEdit(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    /**
     * 删除任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg deleteTask(List<TaskInfoVo> taskInfoVos);

    /**
     * 任务完成
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg performTask(TaskInfoEntity taskInfoEntity);

    /**
     * 查询登录用户已完成的任务（指定项目）
     *
     * @param taskStatus
     * @return
     */
    ResMsg findTaskIsFinish(TaskInfoVo taskInfoVo, Integer taskStatus);
}
