package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:工时管理表
 * @date 2022/9/21 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ManHourInfoVo extends BaseVo {

    /**
     * 工时id
     */
    private Integer manId;
    /**
     * 项目成员
     */
    private String projectUser;
    /**
     * 项目成员
     */
    private String projectUserName;

    /**
     * 项目名称
     */
    private String projectId;
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 任务ID
     */
    private String taskId;
    /**
     * 任务名称
     */
    private String targetTask;

    /**
     * 开始日期
     */
    private Date startDate;
    /**
     * 结束日期
     */
    private Date endDate;
    /**
     * 工时日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date manufactureDate;

    /**
     * 总工时(小时)
     */
    private BigDecimal manHour;

    /**
     * 工作内容
     */
    private String jobContent;

    /**
     * 工时状态
     */
    private String manStatus;

    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 创建用户
     */
    private String createUserName;
    /**
     * 审批人
     */
    private String ratifyUser;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;
    /**
     * 申请时间
     */
    private Date createTime;

    /**
     * 工作内容
     */
    List<ManHourJobVo> jobs;

    public Integer getManId() {
        return manId;
    }

    public void setManId(Integer manId) {
        this.manId = manId;
    }

    public String getProjectUser() {
        return projectUser;
    }

    public void setProjectUser(String projectUser) {
        this.projectUser = projectUser;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getStartDate() {
        return startDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getEndDate() {
        return endDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getManufactureDate() {
        return manufactureDate;
    }

    public void setManufactureDate(Date manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    public BigDecimal getManHour() {
        return manHour;
    }

    public void setManHour(BigDecimal manHour) {
        this.manHour = manHour;
    }

    public String getJobContent() {
        return jobContent;
    }

    public void setJobContent(String jobContent) {
        this.jobContent = jobContent;
    }

    public String getManStatus() {
        return manStatus;
    }

    public void setManStatus(String manStatus) {
        this.manStatus = manStatus;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getRatifyUser() {
        return ratifyUser;
    }

    public void setRatifyUser(String ratifyUser) {
        this.ratifyUser = ratifyUser;
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public Integer getFlowTaskStatus() {
        return flowTaskStatus;
    }

    public void setFlowTaskStatus(Integer flowTaskStatus) {
        this.flowTaskStatus = flowTaskStatus;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<ManHourJobVo> getJobs() {
        return jobs;
    }

    public void setJobs(List<ManHourJobVo> jobs) {
        this.jobs = jobs;
    }

    public String getProjectUserName() {
        return projectUserName;
    }

    public void setProjectUserName(String projectUserName) {
        this.projectUserName = projectUserName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTargetTask() {
        return targetTask;
    }

    public void setTargetTask(String targetTask) {
        this.targetTask = targetTask;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
}
