package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:采购费表
 * @date 2022/9/21 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PurchaseInfoVo extends BaseVo {
    private Integer purchaseId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 采购日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date purchaseDate;
    /**
     * 采购信息
     */
    private List<PurChaseMessage> purchaseMessage;
    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 总金额
     */
    private BigDecimal totalMoney;

    @Data
    @NoArgsConstructor
    public static class PurChaseMessage {
        //采购物品
        private String purchaseGoods;
        //采购金额
        private BigDecimal purchaseMoney;
        //采购数量
        private Integer purchaseNumber;
        //规格
        private String specification;
        //发票(存上传发票地址)
        private String invoice;
        //备注
        private String remark;

    }

}
